> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hobbo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# WordPress Plugin Reviews

> This endpoint is used to fetch reviews from a WordPress plugin specified by its query name.



## OpenAPI

````yaml POST /wordpress-plugin/reviews
openapi: 3.1.0
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.hobbo.ai
    description: Main API server
  - url: https://py-api.hobbo.ai
    description: Python API server for scraper endpoints
security:
  - ApiKeyAuth: []
paths:
  /wordpress-plugin/reviews:
    post:
      description: >-
        This endpoint is used to fetch reviews from a WordPress plugin specified
        by its query name.
      requestBody:
        description: WordPress Plugin review scraping parameters
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WordPressPluginReviewsRequest'
        required: true
      responses:
        '200':
          description: Reviews fetched successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WordPressPluginReviewsResponse'
              examples:
                validationError:
                  value:
                    all_reviews: []
                    extra_information: {}
                    message: <string>
        '400':
          description: Validation error or unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                validationError:
                  value:
                    error: <string>
      servers:
        - url: https://py-api.hobbo.ai
components:
  schemas:
    WordPressPluginReviewsRequest:
      type: object
      required:
        - query
      properties:
        query:
          type: string
          description: Provide proper WordPress Plugin URL or plugin_slug.
        reviews_to_fetch:
          type: number
          description: >-
            Number of reviews to fetch (default: all reviews, or within
            30-second timeout)
        is_text_formatted:
          type: boolean
          description: 'returns the review text with visual formatting preserved '
        sync_date:
          type: string
          description: 'Fetches reviews posted on a specific date using format: YYYY-MM-DD'
    WordPressPluginReviewsResponse:
      type: object
      properties:
        all_reviews:
          type: array
          description: Array of fetched reviews
          items:
            type: object
            properties:
              author_badge:
                type:
                  - string
                  - 'null'
                description: Badge of the author if available
              author_name:
                type: string
                description: Username of the review author
              author_profile_image_url:
                type: string
                description: URL to the author's HD profile image
              author_profile_image_url_org:
                type: string
                description: URL to the author's profile image
              author_profile_url:
                type: string
                description: URL to the author's profile
              query:
                type: string
                description: Original query URL
              review_rating:
                type: string
                description: Rating given in the review (1-5)
              review_replies:
                type: array
                description: Replies to the review
                items:
                  type: object
                  properties:
                    author_badge:
                      type:
                        - string
                        - 'null'
                      description: Badge of the reply author if available
                    author_name:
                      type: string
                      description: Username of the reply author
                    author_profile_image_url:
                      type: string
                      description: URL to the reply author's profile image
                    author_profile_url:
                      type: string
                      description: URL to the reply author's profile
                    review_text:
                      type: string
                      description: Content of the reply
                    review_timestamp:
                      type: string
                      description: Date and time when the reply was posted
                    revision_logs:
                      type: array
                      description: Logs of revisions made to the reply
                      items:
                        type: string
              review_tags:
                type: object
                description: Tags associated with the review
              review_text:
                type: string
                description: Content of the review
              review_timestamp:
                type: string
                description: Date and time when the review was posted
              review_title:
                type: string
                description: Title of the review
              review_unique_id:
                type: string
                description: Unique identifier for the review
              revision_logs:
                type: array
                description: Logs of revisions made to the review
                items:
                  type: string
              topic_indicator:
                type:
                  - string
                  - 'null'
                description: Topic indicator if available
        extra_information:
          type: object
          properties:
            extra_information:
              type: object
              description: Additional metadata about the plugin
            total_review_count:
              type: integer
              description: Total number of reviews fetched
            total_review_count_list:
              type: array
              items:
                type: integer
              description: List of review counts
        message:
          type: string
          description: Status message about the review extraction
    Error:
      type: object
      properties:
        status:
          type: integer
          description: HTTP status code
        data:
          type: object
          description: Empty object or additional error data
        success:
          type: boolean
          description: Indicates operation failed
          example: false
        message:
          type: string
          description: Error message describing what went wrong

````